function MapOverlays(map,callback){



/**
Park Zonen
*/

var myLayer=null;
var kurzpark={};
var geoJsonLayer=null;
var layersWithId={}
var that=this;
var busy=false;

var data={};
var ebenen={}
this.running=false;

var verkaufIcon = L.icon({
	iconUrl: 'icons/euro.png',
	iconSize: [32, 32],
});
var behparkIcon = L.icon({
	iconUrl: 'icons/behindertenparkplatz.png',
	iconSize: [16, 16],
});

this.loadData=function(url,name){
	 var xhr=new XMLHttpRequest();
        xhr.open("GET",url,true);
        xhr.onreadystatechange=function(){
                if(xhr.readyState==4){
			data[name]=JSON.parse(xhr.responseText);
			handleFuture(data[name]);
			makeBounds(name);
		}
	}
	xhr.send(null);

	
}

this.setDataAndRender=function(newdata,name){
	data[name]=newdata;
	this.showType(name);	
}

var makeBounds=function(name){
        for(var i=0;i<data[name].features.length;i++){
                var feature=data[name].features[i];
                makeBoundsFeauture(feature.geometry);
        }

}

var makeBoundsFeauture=function(geometry){
        var maxlat=-90;
        var minlat=90;
        var minlon=180;
        var maxlon=-180;
         if(geometry.type=="LineString" ){
                var coordinates=geometry.coordinates;
                for(var i=0;i<coordinates.length;i++){
                //              for(var k=0;k<coordinates[i][j].length;k++){
                                        var lon=coordinates[i][0];
                                        var lat=coordinates[i][1];
                                        if(maxlat < lat)maxlat=lat;
                                        if(minlat > lat)minlat=lat;
                                        if(maxlon < lon)maxlon=lon;
                                        if(minlon > lon)minlon=lon;

                }
                geometry.bbox=[minlon,minlat,maxlon,maxlat];
        }
        
        if(geometry.type=="MultiLineString" || geometry.type=="Polygon"){
                var coordinates=geometry.coordinates;
                for(var i=0;i<coordinates.length;i++){
                        for(var j=0;j<coordinates[i].length;j++){
                //              for(var k=0;k<coordinates[i][j].length;k++){
                                        var lon=coordinates[i][j][0];
                                        var lat=coordinates[i][j][1];

                                        if(maxlat < lat)maxlat=lat;
                                        if(minlat > lat)minlat=lat;
                                        if(maxlon < lon)maxlon=lon;
                                        if(minlon > lon)minlon=lon;
                                }

                //      }
                }
                geometry.bbox=[minlon,minlat,maxlon,maxlat];
        }
        if(geometry.type=="Polygon"){
                geometry.bbox=[0,0,1,1];   //this are buggy testdata only by viennagis
        }
        if(geometry.type=="MultiPolygon"){
                var coordinates=geometry.coordinates;
                for(var i=0;i<coordinates.length;i++){
                        for(var j=0;j<coordinates[i].length;j++){
                                for(var k=0;k<coordinates[i][j].length;k++){
                                        var lon=coordinates[i][j][k][0];
                                        var lat=coordinates[i][j][k][1];
                                        if(maxlat < lat)maxlat=lat;
                                        if(minlat > lat)minlat=lat;
                                        if(maxlon < lon)maxlon=lon;
                                        if(minlon > lon)minlon=lon;
                                }

                        }
                }
                geometry.bbox=[minlon,minlat,maxlon,maxlat];
        }

}




function handleFuture(json) {
	for(var i=0;i<json.features.length;i++){
		var feature=json.features[i];
		var gueltig_von=feature.properties.GUELTIG_VON;
		if(gueltig_von!==undefined && gueltig_von){
			gueltig_von=gueltig_von.replace("CEST","");
			gueltig_von=gueltig_von.replace("CET","");
			if(moment(gueltig_von).valueOf() > moment().valueOf() && !formvalues.showfuture){
				feature.properties.gueltig_von=moment(gueltig_von).valueOf();
				//console.log(moment(gueltig_von).format("YYYY-MMM-DD"));
			}
		}
	}
	return json;
}

function reduce(data){
	var bounds=map.getBounds();
	var reducedFeatures=[];
	if(data && data.features){
		for(var i=0;i<data.features.length;i++){
			if(data.features[i] && data.features[i].geometry){
				var lat=data.features[i].geometry.coordinates[1];
				var lng=data.features[i].geometry.coordinates[0];
				/*
				if(bounds[0]>lat)continue; //west
				if(bounds[2]<lat)continue; //east
				if(bounds[1]>lng)continue; //south
				if(bounds[3]<lng)continue; //north
				*/
				if(bounds.contains([lat,lng])){
					reducedFeatures.push(data.features[i]);
				}
			}
		}
	}
	return {
		type:"FeatureCollextion",
		features:reducedFeatures
	}
}

this.show=function(force){
	this.running=true;
	for(var e in ebenen){
			ebenen[e].clearLayers();
	}

	//if(!ebenen["streifen"] && formvalues.streifen){
		this.showType("streifen");	
	//}
	if(formvalues.verkaufsstellen){
		this.showType("verkauf");	
	}
	if(formvalues.behpark){
		this.showType("behpark");	
	}
	if(formvalues.zonen){
		this.showType("zonen");	
	}
	if(formvalues.showpositions){
		try{
			var p=JSON.parse(localStorage.getItem("positions"));
		}catch(e){
			return;
		}
		var pp={type:"FeatureCollection",features:[]}
		for(var i=0;i<p.features.length;i++){
			if(i > formvalues.numberofpositions){
				break;
			}
			pp.features.push(p.features[i]);
		}

		data["positions"]=pp;
		this.showType("positions");	
	}
        that.showInfo(map.getCenter());
}

this.showType=function(type){
	for(var d in data){
		if(d!=type )continue;
		if(ebenen[d]){
			ebenen[d].clearLayers();
		}
		if((type=="verkauf") && !formvalues.verkaufsstellen)return;
		if((type=="behpark") && !formvalues.behpark)return;
		if((type=="positions") && !formvalues.showpositions)return;
		var ebenenDaten=data[d];
		if(d=="verkauf"){
			if(map.getZoom() < 15){
				return;
			}
			ebenenDaten=reduce(data[d]);
		}
		if(d=="behpark"){
			if(map.getZoom() < 15){
				return;
			}
			ebenenDaten=reduce(data[d]);
		}

		if(d=="positions"){
			//ebenenDaten=reduce(data[d]);  //has a bug
		}
		count=0;
		var ebene=L.geoJson(ebenenDaten,{
                            style: function(feature) {
                                        var style={
                                                fillOpacity:0.2,
                                                opacity:0.6,
                                                weight:2
                                        };
                                        if(feature.geometry.type=="MultiLineString" || feature.geometry.type=="LineString"){
                                                style.weight=10;
                                        }
                                        switch (feature.properties.DAUER) {
                                            case '1,5 h':
                                                        style.color= "purple";
                                                        break;
                                            case '3 h': style.color= "blue";
                                                        break;
                                            case '2 h': style.color= "orange";
                                                        break;
                                            default :   style.color= "#000000";
                                                        style.fillColor= "black";
                                        }
                                        return style;
                                },
                                pointToLayer: function (feature, latlng) {
                                        if(feature.properties["TYP"]){
						var html="<h3>Verkaufsstelle</h3>";
						html+=feature.properties["TYP"];
						if(feature.properties["BEZEICHUNG"]!=undefined){
							html+=" "+feature.properties["BEZEICHUNG"];
						}
						return L.marker(latlng, {icon: verkaufIcon}).bindPopup(html);
					}
					if(feature.properties["KATEGORIE"]){ // && (feature.properties["KATEGORIE"]!==3)){
						var html="<h3>Behindertenparkplatz</h3>";
						//html+=feature.properties[""];
						if(feature.properties["KATEGORIE_TEXT"]!=undefined){
							html+=" "+feature.properties["KATEGORIE_TEXT"];
						}
						return L.marker(latlng, {icon: behparkIcon}).bindPopup(html);
					}
					if(feature.properties.type=="position"){
						count++;
						var html="";
						if(feature.properties.payed){
							html+="<div class='payed position_on_map'>"+count+"</div>";
						}else{
							html+="<div class='position_on_map'>"+count+"</div>";
						}
						var posIcon=L.divIcon({
							html:html
						});	
						var datum=moment(feature.properties.date).format("DD MMM YYYY<br/>HH:mm")+"h";
						//datum+="<br/><button onclick='delete("+feature.properties.date+")'>löschen</button>";
						//return L.marker(latlng,{icon:posIcon}).bindPopup(datum);
						return L.marker(latlng).bindPopup(datum);
					}
                                }
		}).addTo(map);
		ebene.eachLayer(function(l){
			var id=l.feature.id;
			layersWithId[id]=l;
		});
		ebenen[d]=ebene;

	}
}

/*
this.loadZones=function(url,parktype){
        var xhr=new XMLHttpRequest();
        xhr.open("GET",url,true);
        xhr.onreadystatechange=function(){
                if(xhr.readyState==4){
			var geojsonFeature=JSON.parse(xhr.responseText);
			kurzpark[parktype]=geojsonFeature;
			if(parktype=="streifen"){
				streifen=geojsonFeature;
				that.showInfo(map.getCenter());
			}
			if(parktype=="zonen"){
				zonen=geojsonFeature;
				that.showInfo(map.getCenter());
			}
			myLayer = L.geoJson().addTo(map);

			var verkaufIcon = L.icon({
				iconUrl: 'icons/euro.png',
				iconSize: [32, 32],
			});

if(parktype!="zonen"){
			geoJsonLayer=L.geoJson(geojsonFeature,{
			    style: function(feature) {
					var style={
						fillOpacity:0.2,
						opacity:0.6,
						weight:2
					};
					if(feature.geometry.type=="MultiLineString"){
						style.weight=10;
					}
					switch (feature.properties.DAUER) {
					    case '1,5 h':
							style.color= "purple";
							break;
					    case '3 h': style.color= "blue";
							break;
					    case '2 h': style.color= "orange";
							break;
					    default :   style.color= "#000000";
							style.fillColor= "black";
					}
					return style;
				},
				pointToLayer: function (feature, latlng) {
					var html="<h3>Verkaufsstelle</h3>";
					html+=feature.properties["TYP"];
					if(feature.properties["BEZEICHUNG"]!=undefined){
						html+=" "+feature.properties["BEZEICHUNG"];
					}
					return L.marker(latlng, {icon: verkaufIcon}).bindPopup(html);
				}
			}).addTo(map);
			geoJsonLayer.eachLayer(function(l){
				var id=l.feature.id;
				layersWithId[id]=l;
			});
}
                };
        }
        xhr.send(null);
}

*/


/**
END Park Zonen
*/




/**
Info
*/


	var sequenz=0;
//	var nearest=1000000000;
	var nearestFeature=null;
	var oldPoint=null;




//
//      Flächen
//
	function getInfoZonen(center){
		var mapBBox=map.getBounds();
		var zonen=data["zonen"];
		if(!zonen)return;
		var found=false;	
		var foundFeature=null;	
		for(var f in zonen.features){
			var feature=zonen.features[f];
			var bbox=feature.geometry.bbox;
			var featureBBox=L.latLngBounds([[bbox[3],bbox[2]],[bbox[1],bbox[0]]]);
			if(featureBBox.intersects(mapBBox)){
				var p=[center.lng,center.lat];
				if(feature.geometry.type=="MultiPolygon"){
					for(var i=0;i<feature.geometry.coordinates.length;i++){
						for(var j=0;j<feature.geometry.coordinates[i].length;j++){
							var innen=inside([center.lng,center.lat],feature.geometry.coordinates[i][j]);
							if(innen){
								found=true;
								foundFeature=feature;
								break;
							}
						}
						if(found)break;
					}
				}
			}
		}
		if(found){
			renderInfo(100000,foundFeature,center);
		}else{
			renderInfo(100000,null,center);
			//map.closePopup();//popup.close();
		}
	}

	//inside


	//stolen from https://github.com/substack/point-in-polygon/blob/master/index.js
	function inside(point, vs) {
	    // ray-casting algorithm based on
	    // http://www.ecse.rpi.edu/Homepages/wrf/Research/Short_Notes/pnpoly.html
	    var x = point[0], y = point[1];
	    var inside = false;
	    for (var i = 0, j = vs.length - 1; i < vs.length; j = i++) {
		var xi = vs[i][0], yi = vs[i][1];
		var xj = vs[j][0], yj = vs[j][1];
		var intersect = ((yi > y) != (yj > y))
		    && (x < (xj - xi) * (y - yi) / (yj - yi) + xi);
		if (intersect) inside = !inside;
	    }
	    return inside;
	};




	function getInfoStreifen(point,callback,i,seq,nearest){
		var streifen=data["streifen"];
		var iterationMax=10000000;
		if(!i){
			i=0;
			sequenz++;
			seq=sequenz;
			var nearest=1000000000;
			busy=false;
			//div.innerHTML="suche..."
		}else{
			if(i/100==Math.floor(i/100)){
			}
			if(sequenz!=seq){
				alert("böse");
				return;
			}
			
		}
		if(busy){
			return;
		}
		if(i<streifen.features.length){
			var max=i+iterationMax;
			if(max >streifen.features.length){
				max=streifen.features.length;
			}
			var mapBBox=map.getBounds();
			while(i<max){
				var bbox=streifen.features[i].geometry.bbox;
                if(bbox){
                    var featureBBox=L.latLngBounds([[bbox[3],bbox[2]],[bbox[1],bbox[0]]]);
                    if(featureBBox.intersects(mapBBox)){
                        var d=getDistance(streifen.features[i],point);
                        if(d<nearest){
                            nearest=d;
                            nearestFeature=streifen.features[i];
                        }
                    }
                }else{
                    console.log("bbox missing");
                    console.log(JSON.stringify(streifen.features[i]));
                    break;
                }
				i++;
			}
			if(i==streifen.features.length){
				//finished
				//renderInfo(nearest,nearestFeature,point);
				if(nearest < config.maxDistance){
					callback(nearest,nearestFeature,point);
				}else{
					callback(false,null,point);
				}
				return true;
				
			}
			setTimeout(function(){
				getInfoStreifen(point,callback,i+1,seq,nearest);
			},0);
		}else{
			if(nearest < config.maxDistance){
				//renderInfo(nearest,nearestFeature,point);
				callback(nearest,nearestFeature,point);
				return true;
			}
		}
		return false;
	}






	var popup = L.popup({closeButton:false,autoPan:false});
	var avatarIcon = L.icon({
	    iconUrl: 'icons/avatar.png',

	    iconSize:     [40, 40], // size of the icon
	    iconAnchor: [25, 25],
	    //shadowAnchor: [4, 62],  // the same for the shadow
	    popupAnchor:  [6, -20] // point from which the popup should open relative to the iconAnchor
	});
	var avatar=L.marker([0,0],{icon:avatarIcon}).addTo(map);



	var oldSelected=null;
	function renderInfo(distance,feature,point){
		if(feature && feature.properties["ZEITRAUM"]){
			var zeitraum=feature.properties["ZEITRAUM"];
			var parking=parseTime(zeitraum);
            if(!parking){
                console.log(JSON.stringify(feature.properties));
                return;
            }
           /* 
			zeitraum=zeitraum.replace(/\([^\)]*\)/g,"");
			zeitraum=zeitraum.replace(/v\./g,"");
			zeitraum=zeitraum.replace(/Sa.,/g,"Sa ");
			zeitraum=zeitraum.replace(/\./g,"");
			zeitraum=zeitraum.replace(/,/g,"<br/>");
			zeitraum=zeitraum.replace(/;/g,"<br/>");
	        */	
			var dauer=feature.properties["DAUER"];
			dauer=dauer.replace(" ","");
			if(feature.properties.gueltig_von){
				var gueltig_von="<br/>ab: "+moment(feature.properties.gueltig_von).format("DD.MMM YYYY");
			}else{
				var gueltig_von="";
			}
			if(parking.free){
				var dauerclass="dauerfree";
			}else{
				var dauerclass="dauer";
			}
			//var html="<img src='icons/trans.gif' class='popupsizer'/><table class='popup'><tr><td><div class='dauer'>"+dauer+"</div></td><td>"+zeitraum+gueltig_von+"</td></tr></table><div class='shadowpopup'/>";
			var html="<img src='icons/trans.gif' class='popupsizer'/><table class='popup'><tr><td><div class='"+dauerclass+"'>"+dauer+"</div></td><td>"+parking.html+gueltig_von+"</td></tr></table><div class='shadowpopup'/>";
			parkdauer=feature.properties["DAUER"];

		}else{
            var jsonstring=JSON.stringify(feature.properties);
			var html="<img src='icons/trans.gif' class='popupsizer'/><table class='popup'><tr><td><div class='dauerfree'>∞</div></td><td>Keine Wiener Kurzparkzone"+jsonstring+"</td></tr></table><div class='shadowpopup'/>";
		}
//		div.innerHTML=text;
//		document.getElementById("infos").style.display="";
//		fancyInfo(point);
		avatar.setLatLng(point);
		/*
		 popup
		.setLatLng(point)
		.setContent(html);
		*/
		avatar.bindPopup(html,{closeButton:false,autoPan:false}).openPopup();
		if(oldSelected){
			ebenen["streifen"].resetStyle(oldSelected);
		}
		if(feature){
			if(layersWithId[feature.id]){
				layersWithId[feature.id].setStyle({color:"red"});
			}
			oldSelected=layersWithId[feature.id];
		}
	}
/*
	function maschineReadable(zeitraum){
		var parking={
			mofr:{

			},
			sa:{

			},
			so:{

			}
		};
		var restrictionsArray=[];
		var end=null;
		var start=null;
		var days=["So","Mo","Di","Mi","Do","Fr","Sa","So"];
		var d = new Date();
		var n = d.getDay();
		console.log(days[5]);
		var tomorrowStart=null;
		zeitraum=zeitraum.replace(/Sa\.,/g,"Sa");
		zeitraum=zeitraum.replace(/v/g,"");
		zeitraum=zeitraum.replace(/\./g,"");
		console.log("----"+zeitraum+"---");
		var zeiten=zeitraum.split(/[;,]/);
		for(var i=0;i<zeiten.length;i++){
			console.log(i+" : "+zeiten[i]);
			if(zeiten[i].indexOf("(w")!==-1){
				var werk=true;
			}else{
				var werk=false;
			}
			if(zeiten[i].indexOf("eiertag")!==-1){
				var feier=true;
			}else{
				var feier=false;
			}
			//werktag
			if(zeiten[i].indexOf(days[1])!==-1){
				parking.mofr.start=/([0-9]+)-/.exec(zeiten[i])[1];
				parking.mofr.end=/-([0-9]+)/.exec(zeiten[i])[1];
				parking.mofr.feiertag=feier;
			}
			//samstag
			if(zeiten[i].indexOf(days[6])!==-1){
				parking.sa.start=/([0-9]+)-/.exec(zeiten[i])[1];
				parking.sa.end=/-([0-9]+)/.exec(zeiten[i])[1];
				parking.sa.feiertag=feier;
				//tomorrowStart=/([0-9]+)-/.exec(zeiten[i])[1];
			}
			//sonntag
			if(zeiten[i].indexOf(days[0])!==-1){
				parking.so.start=/([0-9]+)-/.exec(zeiten[i])[1];
				parking.so.end=/-([0-9]+)/.exec(zeiten[i])[1];
				parking.so.feiertag=feier;
				//tomorrowStart=/([0-9]+)-/.exec(zeiten[i])[1];
			}
			//mofr
			parking.html="";
			if(parking.mofr.feiertag===false){
				parking.html+="<img class='werktag' src='icons/werktag.png'/>";
			}else{
				parking.html+="<img class='werktag' src='icons/trans.gif'/>";
			}
			parking.html+=" Mo-Fr "+parking.mofr.start+"-"+parking.mofr.end +" Uhr";
			if(parking.sa.start || parking.so.start){
				parking.html+="<br/>";	
				if(parking.sa.feiertag===false){
					parking.html+="<img class='werktag' src='icons/werktag.png'/>";
				}else{
					parking.html+="<img class='werktag' src='icons/trans.gif'/>";
				}
			}
			if(parking.sa.start){
				parking.html+=" Sa ";
			}
			if(parking.so.start){
				parking.html+="So ";
			}
			if(parking.sa.feiertag){
				parking.html+=" Fei ";
			}
			if(parking.sa.start){
				parking.html+=parking.sa.start+"-"+parking.sa.end+" Uhr";
			}

			var d = new Date();
			var n = d.getDay();
		
			parking.free=true;
			parking.freeUntil=null;
			if(n==0){
				if(parking.so.start){
					parking.free=false;
				}
			}
			if(n>0 && n<6){
				if(parking.mofr.start){
					parking.free=false;
				}
			}
			if(n=6){
				if(parking.sa.start){
					parking.free=false;
				}
			}

			console.log(JSON.stringify(parking,null,"  ")+"  :  "+parking.html," :free: "+parking.free);
		}
		that.data={
			start:start,
			end:end,
			tomorrowStart:tomorrowStart,
			//msPayEnd:(enddate-d),
			lat:map.getCenter().lat,
			lng:map.getCenter().lng
		};
//		console.log(JSON.stringify(that.data));
		return parking;
	}
*/



	map.on("move",function(evt){
		//fancyInfo();
//		var html="<table class='popup'><tr><td class='dauer'>?h</td><td>Kein Infos</td></tr></table><div class='shadowpopup'/>";
//		popup.setLatLng(map.getCenter()); //.setContent(html);
	});


	function getDistance(feature,center){
		var distance=1000000000;
		var dd="";
		var P= {x:center.lng,y:center.lat};
		if(feature.geometry.type=="MultiLineString"){
			/*
			var f=layersWithId[feature.id];
			if(f){
				if(map.getBounds().intersects(f.getBounds())){
				}else{
					return 1000000000000;
				}
			}
			*/

			for(var i=0;i<feature.geometry.coordinates.length;i++){
				for(var j=1;j<feature.geometry.coordinates[i].length;j++){
					var A= {x:feature.geometry.coordinates[i][j-1][0],y:feature.geometry.coordinates[i][j-1][1]};
					var B= {x:feature.geometry.coordinates[i][j][0],y:feature.geometry.coordinates[i][j][1]};
					var x=B.x - A.x;
					var y=B.y - A.y;
					//var normalLength=Math.sqrt(x*x + y*y);
					var d=L.LineUtil.pointToSegmentDistance(P,A,B);   //broken
					/*
					if(feature.id=="KURZPARKSTREIFENOGD.187978"){
						console.log("ddddd",d,feature,P.x,P.y,A.x,A.y,B.x,B.y);
					}
					*/
					if(d<distance){
						dd+=" "+d;
						var string=d+", ["+P.x+","+P.y+"]";
						distance=d;
					}
				}
			}
		}
		if(feature.geometry.type=="LineString"){
			/*
			var f=layersWithId[feature.id];
			if(f){
				if(map.getBounds().intersects(f.getBounds())){
				}else{
					return 1000000000000;
				}
			}
			*/

				for(var j=1;j<feature.geometry.coordinates.length;j++){
					var A= {x:feature.geometry.coordinates[j-1][0],y:feature.geometry.coordinates[j-1][1]};
					var B= {x:feature.geometry.coordinates[j][0],y:feature.geometry.coordinates[j][1]};
					var x=B.x - A.x;
					var y=B.y - A.y;
					//var normalLength=Math.sqrt(x*x + y*y);
					var d=L.LineUtil.pointToSegmentDistance(P,A,B);   //broken
					/*
					if(feature.id=="KURZPARKSTREIFENOGD.187978"){
						console.log("ddddd",d,feature,P.x,P.y,A.x,A.y,B.x,B.y);
					}
					*/
					if(d<distance){
						dd+=" "+d;
						var string=d+", ["+P.x+","+P.y+"]";
						distance=d;
					}
				}
		}
	
		/*
		if(feature.geometry.type="MultiLineString"){
			for(var i=0;i<feature.geometry.coordinates.length;i++){
				for(var j=0;j<feature.geometry.coordinates[i].length;j++){
					for(var k=1;k<feature.geometry.coordinates[i][j].length;k++){
						var P= {x:center.lng,y:center.lat};
						var A= {x:feature.geometry.coordinates[i][j][k-1][0],y:feature.geometry.coordinates[i][j][k-1][1]};
						var B= {x:feature.geometry.coordinates[i][j][k][0],y:feature.geometry.coordinates[i][j][k][1]};
						var x=B.x - A.x;
						var y=B.y - A.y;
						var normalLength=Math.sqrt(x*x + y*y);
						var d=L.LineUtil.pointToSegmentDistance(P,A,B);   //broken
						if(d<distance){
							dd+=" "+d;
							var string=d+", ["+P.x+","+P.y+"]";
							distance=d;
						}
					}
				}
			}
						console.log("---",d,P.x,P.y,A.x,A.y,B.x,B.y);

		}
		*/
		return distance;

	}
	this.showInfo=function(point){
		var that=this;
		message.show("berechne Parkinfos");
		setTimeout(function(){
			that.showInfoDelayed(point);
			message.hide();
		},10);
	}
	this.showInfoDelayed=function(point){
		var found=false;
		if(data["streifen"]){
			getInfoStreifen(point,function(nearest,nearestFeature,point){
				if(nearest!==false){
					renderInfo(nearest,nearestFeature,point);
				}
				if(data["zonen"] && !nearest){
					getInfoZonen(point);
				}
				window.scrollTo(0,1);
			});
		}
	}

document.getElementById("mapdiv").addEventListener("touchend",function(){
	busy=false;
        that.showInfo(map.getCenter());
//        var marker = L.marker(map.getCenter()).addTo(map);

});
/*
document.getElementById("mapdiv").addEventListener("mouseup",function(e){
	busy=false;
        that.showInfo(map.getCenter());
});
*/
map.on("moveend",function(e){
	busy=false;
		that.showInfo(map.getCenter());

	if(formvalues.verkaufsstellen){
		that.showType("verkauf");
	}
	if(formvalues.positions){
		that.showType("positions");
	}
	if(formvalues.behpark){
		that.showType("behpark");
	}
});
map.on("movestart",function(e){
        busy=true;
});

/*
	return {
		streifen:function(json){
			setStreifen(json);
		},
		zonen:function(json){
			setZonen(json);

		},
		showInfo:function(point){
			getInfoStreifen(point);
			getInfoZonen(point);
		}
	}
*/
}
